org.apache.commons.lang3

## Class SerializationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.commons.lang3.SerializationException

- All Implemented Interfaces:
    Serializable

      public class SerializationException
      extends RuntimeException

  Exception thrown when the Serialization process fails.

  The original error is wrapped within this one.

  #NotThreadSafe# because Throwable is not thread-safe

  Since:
    1.0
  Version:
    $Id: SerializationException.java 1436768 2013-01-22 07:07:42Z ggregory $
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SerializationException()` Constructs a new `SerializationException` without specified detail message.
    `SerializationException(String msg)` Constructs a new `SerializationException` with specified detail message.
    `SerializationException(String msg, Throwable cause)` Constructs a new `SerializationException` with specified detail message and nested `Throwable`.
    `SerializationException(Throwable cause)` Constructs a new `SerializationException` with specified nested `Throwable`.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SerializationException

          public SerializationException()

      Constructs a new `SerializationException` without specified detail message.

    - #### SerializationException

          public SerializationException(String msg)

      Constructs a new `SerializationException` with specified detail message.

      Parameters:
        `msg` - The error message.

    - #### SerializationException

          public SerializationException(Throwable cause)

      Constructs a new `SerializationException` with specified nested `Throwable`.

      Parameters:
        `cause` - The `Exception` or `Error` that caused this exception to be thrown.

    - #### SerializationException

          public SerializationException(String msg,
                                Throwable cause)

      Constructs a new `SerializationException` with specified detail message and nested `Throwable`.

      Parameters:
        `msg` - The error message.
        `cause` - The `Exception` or `Error` that caused this exception to be thrown.

Copyright © 2001–2015 The Apache Software Foundation. All rights reserved.